<app-loading *ngIf="isLoading"></app-loading>
<div nz-row [nzGutter]="[30, 10]" class="content">
  <div nz-col nzSm="24" nzXs="24" nzLg="12" nzMd="12">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' (click)="createProject()"
      mbButtonText="{{'Thêm mới' | translate}}" *ngIf="objFunction?.create"></mb-button>
  </div>
</div>

<nz-card class="border-radius-card">
  <div nz-row [nzGutter]="[30, 10]" style="align-items: flex-end;">
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-input-text mbPlaceholderText="Nhập để tìm kiếm" mbType="default" mbLabelText="Tên dự án"
        [(ngModel)]="objectSearch.prjName">
      </mb-input-text>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-input-text mbPlaceholderText="Nhập để tìm kiếm" mbType="default" mbLabelText="Đơn vị quản lý dự án"
        [(ngModel)]="objectSearch.orgName">
      </mb-input-text>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-select [mbDataSelects]="liststatusProject" mbKeyLabel="lable" mbKeyValue="value" mbType="default"
        mbLabelText="Trạng thái" mbPlaceholder="Chọn trạng thái" [(ngModel)]="objectSearch.flagStatus">
      </mb-select>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <button nz-button nzType="primary" (click)="expandSearch()" style="font-size: 12.25px;">
        <em nz-icon nzType="unordered-list"></em> Nâng cao
      </button>
    </div>
  </div>

  <div *ngIf="!isExpand" nz-row [nzGutter]="[30, 10]" style="align-items: flex-end;">
    <label class="advance-search-label">Tìm kiếm nâng cao</label>
  </div>
  <ng-container *ngIf="!isExpand">

    <div *ngFor="let data of searchLine; let i = index" nz-row [nzGutter]="[30, 10]" style="align-items: flex-end;">

      <div nz-col nzXs="24" nzLg="6">
        <mb-select [mbDataSelects]="listCriteria" mbKeyLabel="lvaMean" mbKeyValue="lvaValue" mbType="default"
          mbLabelText="Tiêu chí" mbPlaceholder="Chọn tiêu chí" [(ngModel)]="data.prjAttributeCode"
          (ngModelChange)="changeProperty($event, i)">
        </mb-select>
      </div>

      <div nz-col nzXs="24" nzLg="6">
        <mb-select [mbDataSelects]="data.listPrjAttributeValues" mbKeyLabel="lvaMean" mbKeyValue="lvaValue"
          mbType="default" mbLabelText="Thuộc tính" mbPlaceholder="Chọn thuộc tính" [(ngModel)]="data.prjAttributeValues">
        </mb-select>
      </div>

      <div nz-col nzXs="24" nzLg="6">
        <div class="btn-add">
          <a (click)="addSearchLine(i)"> <img alt="" src="assets/images/icon/add_circle_outline.svg" width="20"
              height="20"></a>
          <a style="margin-left: 10px;" (click)="removeSearchLine(i)">
            <img alt="" src="assets/images/icon/delete_outline.svg" width="20" height="20">
          </a>
        </div>
      </div>

    </div>

  </ng-container>

  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" class="space-search">
      <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)="searchProject()"
        mbButtonText="{{'common.button.search' | translate}}"></mb-button>
      <button (click)="exportExcel()" nz-button style="margin-left: 15px; min-height: 40px;">
        <img src="assets/images/icon/excel.svg" alt="" />
      </button>
    </div>
  </div>
</nz-card>


<nz-table class="custom-style-table" [nzPageSize]="listSettingPaginationCustom.total" [nzShowPagination]="false"
  #basicTable [nzData]="dataTable" [nzScroll]="dataTable?.length > 0 ? { x: 'SCROLL_CONFIG' } : {}"
  [nzShowPagination]="false" nzTableLayout="fixed" [nzSize]="TABLE_SIZE">
  <thead>

    <tr>
      <th scope="col" nzWidth="80px" nzLeft>STT</th>
      <th scope="col">Tên dự án</th>
      <th scope="col">Đơn vị quản lý dự án</th>
      <th scope="col">Trạng thái</th>
      <th scope="col">Thông tin phê duyệt</th>
      <th scope="col" nzWidth="100px" nzRight></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of basicTable.data; let i = index" (dblclick)="viewProject(data.prjId)">
      <td class="text-center">{{ i + 1 + listSettingPaginationCustom.size *
        listSettingPaginationCustom.pageIndex }}</td>
      <td>{{ data.prjName }}</td>
      <td>{{ data.orgNames | convertArrayString }}</td>
      <td>
        <nz-tag [class]="renderFlagStatus(data.flagStatus).class">{{renderFlagStatus(data.flagStatus).text}}</nz-tag>
      </td>
      <td>{{ data.content }}</td>
      <td nzRight>
        <div class="btn-add">
          <div class="btn-action" (click)="editProject(data.prjId)" *ngIf="objFunction?.edit">
            <img src="assets/images/icon/edit.png" width="18" height="18" alt="" />
          </div>
          <div class="btn-action" *ngIf="objFunction?.delete"
            (click)="deleteProject(data.prjId)">
            <img alt="" src="assets/images/icon/delete_outline.svg" width="22" height="22">
          </div>
        </div>
      </td>
    </tr>
  </tbody>
</nz-table>

<div class="pagination" *ngIf="listSettingPaginationCustom.total > 0">
  <div>
    <img src="assets/images/icon/idea.svg" alt="" />
    <span>
      {{'common.paging.rangePage' | translate:{result:listSettingPaginationCustom.total} }}
      {{listSettingPaginationCustom.size * listSettingPaginationCustom.pageIndex + 1}}
      {{'common.paging.to' | translate}}
      {{listSettingPaginationCustom.size * listSettingPaginationCustom.pageIndex +
      listSettingPaginationCustom.numberOfElements}}
    </span>
  </div>
  <nz-pagination [nzPageIndex]="listSettingPaginationCustom.pageIndex + 1"
    (nzPageIndexChange)="getListProjectBasePagination($event)" [nzTotal]="listSettingPaginationCustom.total"
    [nzPageSize]="listSettingPaginationCustom.size"></nz-pagination>
</div>
